<!DOCTYPE html>
<html>

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="My personal website">
    <meta name="author" content="Alexandre Acsensi">

    <title>Computer - controlled machining</title>

    <link href="../../css/bootstrap.min.css" rel="stylesheet"> <!-- Bootstrap core CSS -->
    <link href="../../css/main.css" rel="stylesheet"> <!-- Custom styles for this template -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:100,100i,300,300i,400,400i,500,500i,700,700i,900,900i" rel="stylesheet">

    <link rel="shortcut icon" type="image/png" href="../../img/aavlogo-black.png">

  </head>

  <body>

    <section id="mdeft1" >
      <div class="container">
        <div class="row">
          <div class="col-lg-8 mx-auto">
            <h2>Computer - controlled machining</h2>
            <u><a class="text_black" href="http://academy.cba.mit.edu/classes/computer_machining/index.html" target="_blank"><h6>FabAcademy computer-controlled machining</h6></a> </u>
            <br>
            <p>
            <h5>Week intro</h5>
            The aim of this week was too learn how to use the CNC machine while making something BIG! I used this week to make the
            <u><a class="text_black" href="../../projects/csp.html" target="_blank">car sharing post</a> </u>.
            <br><br> I made this week assigment with Laura Álvarez: <u><a class="text_black" href="https://mdef.gitlab.io/laura.alvarez/fabacademy/week8_mar6/" target="_blank">laura documentation</a> </u>

            <br>

            <center> <img src="files/cncwlaura.png" width="70%"> </center>

            </p>
            <h6>Index</h6>
            <ul>
              <li> <u> <a class="text_black" href="#a"> Making the files</a> </li> </u>
              <li> <u> <a class="text_black" href="#b"> Setting up the machine</a> </li> </u>
              <li> <u> <a class="text_black" href="#c"> Joints test</a> </li> </u>
              <li> <u> <a class="text_black" href="#d"> Final cut</a> </li> </u>
              <li> <u> <a class="text_black" target="_blank" href="files/w7files.zip" download> click to download the files</a> </li> </u>
            </ul>

            <br>
            <br>

            <h6>Hero shot</h6>
            <div class="row">
              <div class="col-sm">
                <center> <img src="files/w7hs01.png" width="100%"> </center>
              </div>
              <div class="col-sm">
                <center> <img src="files/w7hs02.png" width="100%"> </center>
              </div>
            </div>

            <br>
            <hr>
            <br>

            <h5 id=a>Making the files</h5>
            <br>
            <p>
              1.
              We sketched how we would like to do our post and talked with fablab staff asking how they would do it.
              Eduardo gave us nice advice about the structure, we should make a T for the vertical structure with joinery like the one I show in the next picture:
            </p>
            <center> <img src="files/sketch.png" width="75%"> </center>
            <br><br>
            <center> <img src="files/joinery.png" width="100%"> </center>
            <br><br><br>
            <p>
              2.
              The second step was drawing each piece in 3D and then assemble the whole. It's important to assemble all the parts in order to check measurements.
            </p>
            <div class="row">
              <div class="col-sm">
                <center> <img src="files/draw00.jpeg" width="100%"> </center>
              </div>
              <div class="col-sm">
                <center> <img src="files/draw01.jpeg" width="100%"> </center>
              </div>
            </div>
            <br><br><br>
            <p>
              3.
              After drawing all the parts and checking sizes was the time to check the joints. (dogbones) <br>
              Margins of 0.4mm.<br>
              It's important to allow the CNC tool to make all the path. Our first drawing didn't take this into account, so we realized that we should make circles in every joint.
            </p>

                <center> <img src="files/circle00.jpeg" width="100%"> </center>
                <br>
                <center> <img src="files/circle02.png" width="100%"> </center>

            <br><br><br>
            <p>
              4.
              Place the drawings in the material. We are using a plywood x 15mm x 2400x1250mm.
            </p>
            <br><br><br>
            <p>
              5.
              Export DXF. Place and place the file in Rhino. <br>
              <ul>
                <li>Check 0,0</li>
                <li>Make sure there are not any duplicate curves.
                Command: SelDup</li>
                <li>Make 2D in Top view</li>
                <li>After making 2D, use the commands: ungroup, explode and join</li>
                <li>Draw the circles for the screws</li>
                <li>Export in format .dwg for the Rhino5 where the RhinoCAM is available</li>
              </ul>

            <center> <img src="files/rhino.JPG" width="100%"> </center>

            </p>
            <br><br><br>
            <p>
              6.
              Generating the GCode with RhinoCAM. <br>
              We did 3 gcode: one for the screws, one for the joint test and the last one for the whole piece.

            </p>

            <br>
            <hr>
            <br>

            <h5 id=b>Setting up the machine</h5>
            <br>
            <p>
              1. Remove all the dust + particles in the CNC surface. <br><br>

              2. Place the new plywood <br><br>

              3. Change the tool and calibrate the CNC with the 0,0,0 position</p>
              <div class="row">
                <div class="col-sm">
                  <center> <video src="files/toolchange.mp4" muted loop autoplay width="100%" > </video> </center>
                </div>
                <div class="col-sm">
                  <center> <video src="files/calibrate.mp4" controls width="100%" > </video> </center>
                </div>
              </div>
              <br><br>

              <p>
                4. Run the screws Gcode and attach the plywood.
                <div class="row">
                  <div class="col-sm">
                    <center> <video src="files/atornillar.mp4" muted loop autoplay width="100%" > </video> </center>
                  </div>
                  <div class="col-sm">
                    <center> <video src="files/atornillar2.mp4" controls width="100%" > </video> </center>
                  </div>
                </div>
              </p>

              <br>
              <hr>
              <br>

              <h5 id=c>Joint test</h5>
              <br>
              <p>
                Before going with the whole process we did a small test with the joints.
                 It was useful because we realized that we had left some tolerances, we thought with the vertical tolerance but not with the horizontal.
                 So we changed all the document. +0.4mm! Now it's ready!!!
              </p>
              <div class="row">
                <div class="col-sm">
                  <center> <video src="files/test00.mp4" muted loop autoplay width="100%" > </video> </center>
                </div>
                <div class="col-sm">
                  <center> <video src="files/test01.mp4" muted loop autoplay width="100%" > </video> </center>
                </div>
              </div>

              <br>
              <hr>
              <br>

              <h5 id=d>Final cut</h5>
              <br>
              <p>
                Once all was cheked and ready to go we did the final cut and assembled the car sharing post.
              </p>
              <center> <video src="files/finalcut.mp4" muted loop autoplay width="100%" > </video> </center>




          </div>
        </div>
      </div>
    </section>

  </body>

</html>
